Index: code/branches/presentation/src/modules/objects/triggers/DistanceTrigger.cc
===================================================================
--- code/branches/presentation/src/modules/objects/triggers/DistanceTrigger.cc	(revision 8561)
+++ code/branches/presentation/src/modules/objects/triggers/DistanceTrigger.cc	(revision 8637)
@@ -280,5 +280,7 @@
         Check whether the DistanceTrigger is triggered.
         It is triggered if it is triggered according only to its mode (i.e. its sub-triggers) and if a target is in range.
-    @param
+    @param mode
+        The mode for which it is tested, whether the DistanceTrigger is triggered.
+    @return
         Returns true if it is triggered ,false if not.
     */
Index: code/branches/presentation/src/modules/objects/triggers/DistanceTrigger.h
===================================================================
--- code/branches/presentation/src/modules/objects/triggers/DistanceTrigger.h	(revision 8561)
+++ code/branches/presentation/src/modules/objects/triggers/DistanceTrigger.h	(revision 8637)
@@ -71,5 +71,5 @@
         - @b target Which specifies the class of objects that can trigger the DistanceTrigger. Default is <code>"Pawn"</code>.
         - @b beaconMode Which specifies, whether the DistanceTrigger operates on @ref orxonox::DistanceTriggerBeacon "DistanceTriggerBeacons" or not. If <em>off</em> the DistanceMultiTrigger works as usual. If set to <em>identify</em> the DistanceTrigger is only triggered by objects that have a @ref orxonox::DistanceTriggerBeacon "DistanceTriggerBeacon", with the same name as specified in <em>targetname</em>, attached to them. If set to <em>exclude</em> the DistanceTrigger is only triggered by objects that don't have a @ref orxonox::DistanceTriggerBeacon "DistanceTriggerBeacon", with the same name as specified in <em>targetname</em>, attached to them. Default is <em>off</em>.
-        - @b targetname Which specifies the name @ref oroxnox::DistanceTriggerBeacon "DistanceTriggerBeacons" need to have to make the DistanceTrigger react to them if it is in <em>beacon-mode</em> (the beaconMode is not <em>off</em>).
+        - @b targetname Which specifies the name @ref orxonox::DistanceTriggerBeacon "DistanceTriggerBeacons" need to have to make the DistanceTrigger react to them if it is in <em>beacon-mode</em> (the beaconMode is not <em>off</em>).
 
         A simple DistanceTrigger could look like this:
Index: code/branches/presentation/src/modules/objects/triggers/EventTrigger.h
===================================================================
--- code/branches/presentation/src/modules/objects/triggers/EventTrigger.h	(revision 8561)
+++ code/branches/presentation/src/modules/objects/triggers/EventTrigger.h	(revision 8637)
@@ -60,5 +60,5 @@
 
     @see Trigger
-        For more information on @ref oroxnox::Trigger "Triggers".
+        For more information on @ref orxonox::Trigger "Triggers".
 
     @author
Index: code/branches/presentation/src/modules/objects/triggers/MultiTrigger.cc
===================================================================
--- code/branches/presentation/src/modules/objects/triggers/MultiTrigger.cc	(revision 8561)
+++ code/branches/presentation/src/modules/objects/triggers/MultiTrigger.cc	(revision 8637)
@@ -198,5 +198,4 @@
                         if(bActive ^ this->isActive(state->originator))
                         {
-
                             bool bFire = true;
 
Index: code/branches/presentation/src/modules/objects/triggers/TriggerBase.h
===================================================================
--- code/branches/presentation/src/modules/objects/triggers/TriggerBase.h	(revision 8561)
+++ code/branches/presentation/src/modules/objects/triggers/TriggerBase.h	(revision 8637)
@@ -133,4 +133,10 @@
             inline int getActivations(void) const
                 { return this->remainingActivations_; }
+            /**
+            @brief Check whether the trigger has still at least one remaining activation.
+            @return Returns true if the trigger has remaining activations (i.e. the number of remaining activations is not zero).
+            */
+            inline bool hasRemainingActivations(void) const
+                { return this->remainingActivations_ > 0 || this->remainingActivations_ == INF_s; }
 
             /**
